from abc import ABC, abstractmethod

from aioch import Client


class BaseClickhousePoint(ABC):
    def __init__(self, **ch_client_kwargs):
        self.client = Client(**ch_client_kwargs)

    @abstractmethod
    async def __call__(self, *args, **kwargs):
        pass
